hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hadoop QA (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-11515) Upgrade jsch lib to jsch-0.1.51 to avoid problems running on java7
Date Tue, 13 Oct 2015 20:29:06 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-11515?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14955580#comment-14955580
] 

Hadoop QA commented on HADOOP-11515:
------------------------------------

\\
\\
| (x) *{color:red}-1 overall{color}* |
\\
\\
|| Vote || Subsystem || Runtime || Comment ||
| {color:blue}0{color} | pre-patch |  15m 47s | Pre-patch trunk compilation is healthy. |
| {color:green}+1{color} | @author |   0m  0s | The patch does not contain any @author tags.
|
| {color:red}-1{color} | tests included |   0m  0s | The patch doesn't appear to include any
new or modified tests.  Please justify why no new tests are needed for this patch. Also please
list what manual steps were performed to verify this patch. |
| {color:green}+1{color} | javac |   8m  0s | There were no new javac warning messages. |
| {color:green}+1{color} | javadoc |  10m 40s | There were no new javadoc warning messages.
|
| {color:green}+1{color} | release audit |   0m 23s | The applied patch does not increase
the total number of release audit warnings. |
| {color:green}+1{color} | whitespace |   0m  0s | The patch has no lines that end in whitespace.
|
| {color:green}+1{color} | install |   1m 31s | mvn install still works. |
| {color:green}+1{color} | eclipse:eclipse |   0m 36s | The patch built with eclipse:eclipse.
|
| | |  37m  3s | |
\\
\\
|| Subsystem || Report/Notes ||
| Patch URL | http://issues.apache.org/jira/secure/attachment/12766389/HADOOP-11515.001.patch
|
| Optional Tests | javadoc javac unit |
| git revision | trunk / 6716f15 |
| Test Results | https://builds.apache.org/job/PreCommit-HADOOP-Build/7804/testReport/ |
| Java | 1.7.0_55 |
| uname | Linux asf903.gq1.ygridcore.net 3.13.0-36-lowlatency #63-Ubuntu SMP PREEMPT Wed Sep
3 21:56:12 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux |
| Console output | https://builds.apache.org/job/PreCommit-HADOOP-Build/7804/console |


This message was automatically generated.

> Upgrade jsch lib to jsch-0.1.51 to avoid problems running on java7
> ------------------------------------------------------------------
>
>                 Key: HADOOP-11515
>                 URL: https://issues.apache.org/jira/browse/HADOOP-11515
>             Project: Hadoop Common
>          Issue Type: Bug
>          Components: build
>    Affects Versions: 2.6.0
>            Reporter: Johannes Zillmann
>            Assignee: Steve Loughran
>              Labels: BB2015-05-TBR
>         Attachments: HADOOP-11515.001.patch, HDFS-7376.1.patch
>
>
> We had an application sitting on top of Hadoop and got problems using jsch once we switched
to java 7. Got this exception:
> {noformat}
>  com.jcraft.jsch.JSchException: verify: false
> 	at com.jcraft.jsch.Session.connect(Session.java:330)
> 	at com.jcraft.jsch.Session.connect(Session.java:183)
> {noformat}
> Upgrading to jsch-0.1.51 from jsch-0.1.49 fixed the issue for us, but then it got in
conflict with hadoop's jsch version (we fixed this for us by jarjar'ing our jsch version).
> So i think jsch got introduce by namenode HA (HDFS-1623). So you guys should check if
the ssh part is properly working for java7 or preventively upgrade the jsch lib to jsch-0.1.51!
> Some references to problems reported:
> - http://sourceforge.net/p/jsch/mailman/jsch-users/thread/loom.20131009T211650-749@post.gmane.org/
> - https://issues.apache.org/bugzilla/show_bug.cgi?id=53437



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message